Public Member Functions | Public Attributes | List of all members
clan::LineRay2x< Type > Class Template Reference
clanCore Math

2D line ray More...

`#include <line_ray.h>`

## Public Member Functions
| LineRay2x ()
| LineRay2x (const LineRay2x< Type > &copy)
| LineRay2x (const Vec2< Type > &point_p, const Vec2< Type > &direction_v)
Operators
LineRay2x< Type > & | operator= (const LineRay2x< Type > &copy)
| = operator. More...
bool | operator== (const LineRay2x< Type > &line) const
| == operator. More...
bool | operator!= (const LineRay2x< Type > &line) const
| != operator. More...

## Public Attributes
Vec2< Type > | p
| Start point on the line ray. More...
Vec2< Type > | v

## Detailed Description

### template<typename Type>
class clan::LineRay2x< Type >

2D line ray

A ray has a start point and a direction
These line templates are defined for: int (LineRay2i), float (LineRay2f), double (LineRay2d)

The documentation for this class was generated from the following file:

- line_ray.h